.form-container {
  display: flex;
  flex-direction: column;
  flex: 1;

  &.--fitted {
    flex: 0;
  }

  .form-content {
    padding: 20px;
    flex: 1;

    .form-wrapper {
      display: flex;
      flex-direction: column;

      &.--inline {
        flex-direction: row;
        flex-wrap: wrap;

        .form-group {
          display: inline-flex;
          flex: 1 0 220px;
        }
      }
    }

    .form-group {
      display: flex;
      flex-direction: row;
      align-items: center;
      flex-wrap: wrap;

      &:not(:first-child) {
        .form-group__label {
          justify-content: flex-end;
          flex: 1 0 60px;
          text-align: right;
        }
      }

      &__label {
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex: 1 0 120px;
        max-width: 120px;
        margin: 5px 10px;

        &::after {
          content: ":";
        }

        label {
          margin-right: 5px;
          position: relative;
          word-break: break-word;

          &[required] {
            &::before {
              content: "*";
              color: $main-error-color;
              position: absolute;
              left: -8px;
            }
          }
        }
      }

      &__input {
        flex: 1 0 100px;
        margin: 5px 5px 5px 0;
        position: relative;
        display: flex;
        align-items: center;

        >* {
          width: 100%;
        }
      }

      &.--offset-right-2 {
        @include offset(right);
      }

      &.--inline {
        display: inline-flex;
        margin: 0;

        .form-group {
          &__input-group {
            display: flex;
            flex-wrap: wrap;
            flex: 1 0 100px;
            justify-content: flex-start;

            .form-group__input {
              margin: 5px 5px 5px 0;
              flex: 1 0 160px;
              max-width: calc(50% - 75px);

              &.--block {
                flex-basis: 100%;
                max-width: none;
              }

              &.--inline {
                flex: 1 0 160px;
              }

              &:last-of-type {
                margin-right: 2px;
                max-width: 100%;
              }

              &.--fixed-width {
                flex: 1 0 160px;
                max-width: 500px;
              }

              >* {
                width: 100%;
              }

              &.--width {
                &-less {
                  flex: 1 0 50px;
                }

                &-2 {
                  flex: 2 0 120px;
                }
              }
            }

            .form-group__button {
              flex: 0 0 auto;
              display: flex;
              align-items: center;
              margin: 5px 5px 5px 0;
            }

            &.--unit {
              margin: 5px 5px 5px 0;
              flex-wrap: nowrap;

              .form-group__input.ui.input {
                margin: 0;
                flex: 1 0 80px;
                max-width: none;

                &:first-of-type {
                  input {
                    padding: 0;
                    text-align: right;
                    border-radius: $input-radius 0 0 $input-radius;
                  }
                }

                &:last-of-type {
                  @media only screen and (max-width: 900px) {
                    flex: 4 0 120px;
                  }

                  @media only screen and (max-width: 768px) {
                    flex: 1 0 80px;
                  }

                  input {
                    padding: 0;
                    border-radius: 0 $input-radius $input-radius 0;
                  }
                }
              }

              .form-group__unit {
                height: $main-input-height;
                width: 15px;
                background-color: #f1f1f1;
                color: #6e6e6e;
                border-top: 1px solid;
                border-bottom: 1px solid;
                border-color: $main-input-border-color;
                display: flex;
                justify-content: center;
                align-items: center;
              }
            }
          }
        }

        &-no-label {
          .form-group {
            &__label {
              &::after {
                content: "";
              }
            }

            &__input {
              flex: 0 0 160px;
              margin-right: 10px;
            }
          }
        }
      }

      &.--wide {
        &.--offset-right-2 {
          @include offset(right, 2, 1, 50px);
        }

        .form-group {
          &__label {
            flex: 1 0 150px;
            max-width: 220px;
            text-align: left;
            justify-content: space-between;
          }

          &__input {
            margin-right: 50px;
          }
        }
      }
    }
  }

  .form-action {
    display: flex;
    justify-content: center;
    border-top: 1px solid #b8cbdd;
    background-color: lighten(#b8cbdd, 10%);
    padding: 5px;

    &.--no-bg {
      background-color: transparent;
      border-top: none;
    }
  }

  .form-title {
    font-size: cal-rem(20px);
    color: $visit-bg-color;
    margin: 20px 0 10px 0;

    &.--warning {
      font-size: cal-rem(15px);
      color: $main-error-color;

      &::before {
        content: "*"
      }
    }
  }

  .unit {
    @include input-tag($tag-position: after);
    @include input-tag-set-size($tag-position: after, $input-width:100%, $tag-width:50px);

    &.disabled {
      @include input-tag($tag-position: after, $tag-border-color: $main-input-disabled-border-color);
    }
  }
}

@media only screen and (max-width: 992px) {
  .form-container {
    .form-content {
      .form-wrapper {
        &.--inline {
          .form-group {
            &:nth-child(3) {
              flex: 1 0 auto;
              margin-right: calc(((100% / 2) * 1));

              .form-group__label {
                justify-content: space-between;
              }
            }
          }
        }
      }
    }

    .form-title {
      &.--disease {
        display: none;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .form-container {
    .form-content {
      .form-wrapper {
        .form-group {
          &.--inline {
            .form-group {
              &__input-group {
                .form-group__input {
                  max-width: none;
                }
              }
            }
          }
        }

        &.--inline {
          .form-group {
            flex: 1 0 100% !important;
            margin: 0 !important;

            .form-group__label {
              justify-content: space-between;
            }
          }
        }
      }

      .form-group {
        &__label {
          max-width: 180px;
          text-align: left !important;
        }

        &.--wide {
          .form-group {
            &__input {
              margin: 5px 5px 5px 0 !important;
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 480px) {
  .form-container {
    .form-content {
      .form-group {
        &__label {
          flex: 1 0 120px;
          max-width: 120px;
        }
      }
    }
  }
}